Subject: Re: bug#29321: Isearch hit count

From: Juri Linkov <[email-masked]>
Date: Wed, 31 Oct 2018 23:30:18 +0200

> I tried it, but I still see the problem.  If I repeat
> quickly there won't be a count in the prompt, and not
> just at the beginning.  Or there might be one, but
> then when I switch direction it disappears (rightly
> so, as you pointed out), but if I continue repeating
> in that new direction the count never appears.

When you type too quickly, lazy-highlighting (that also counts
the number of matches) has no chance to run its timer function.
It runs with (run-with-idle-timer lazy-highlight-initial-delay ...)
This means that it runs only after lazy-highlight-initial-delay
(by default, 0.25 secs) of inactivity.